
operationId: listDrivers
summary: List drivers
tags:
  -  drivers

parameters:
  - $ref: ../../components/header-parameters/tenant-subdomain.yml
  - $ref: ../../components/query-parameters/page.yml
  - $ref: ../../components/query-parameters/page-size.yml
  - $ref: ../../components/query-parameters/order-type.yml
  - $ref: ../../components/query-parameters/order-by/driver.yml
  - $ref: ../../components/query-parameters/filters/driver.yml

responses:
  200:
    description: Success
    content:
      application/json:
        schema:
          type: object
          properties:
            total:
              type: number
            results:
              type: array
              items:
                allOf:
                  - $ref: ../../components/schemas/entities/driver/properties.yml
                  - $ref: ../../components/schemas/entities/driver/relations.yml

  400:
    $ref: ../../components/responses/400-bad-request.yml
